var postal;

var headID = document.getElementsByTagName("head")[0];         
var styleNode = document.createElement('link');
styleNode.type = 'text/css';
styleNode.rel = 'stylesheet';
styleNode.href = 'Stylesheets/'+stylesheet+'.css';
headID.appendChild(styleNode);

var scriptNode = document.createElement('script');
scriptNode.type = 'text/javascript';
scriptNode.src = 'Sources/'+source+'.js';
headID.appendChild(scriptNode);

function onLoad(){
	document.getElementById("weatherIcon").src="Icon Sets/"+iconSet+"/"+"dunno"+iconExt;
	validateWeatherLocation(escape(locale).replace(/^%u/g, "%"), setPostal)
}

function convertTemp(num)
{
	if (isCelsius)
		return Math.round ((num - 32) * 5 / 9);
	else
		return num;
}

function setPostal(obj){
	
	if (obj.error == false && obj.cities.length > 0 ){
		postal = escape(obj.cities[0].zip).replace(/^%u/g, "%")
		fetchWeatherData(dealWithWeather,postal);
	}else{
		document.getElementById("city").innerText="Not Found";
	}
}

function dealWithWeather(obj){

	if (obj.error == false){
		document.getElementById("city").innerText=obj.city;
		document.getElementById("desc").innerText=obj.description.toLowerCase();
              translatedesc=obj.description.toLowerCase();

              // *******     TRANSLATE DESCRIPTION   ***************************
		// *******     ALWAYS USE SMALL CAPS (i.e 'sunny')   ***************************
       	if (translatedesc=='description') { document.getElementById("desc").innerHTML='Your Description';	}
		if (translatedesc=='sunny') { document.getElementById("desc").innerHTML='sonnig';    }
		if (translatedesc=='mostly sunny') { document.getElementById("desc").innerHTML='meist sonnig';    }
		if (translatedesc=='partly sunny') { document.getElementById("desc").innerHTML='teils sonnig';    }
		if (translatedesc=='intermittent clouds') { document.getElementById("desc").innerHTML='teils wolkig';    }
		if (translatedesc=='hazy sunshine') { document.getElementById("desc").innerHTML='diesig und sonnig';    }
		if (translatedesc=='mostly cloudy') { document.getElementById("desc").innerHTML='meist bew&ouml;lkt';    }
        	if (translatedesc=='cloudy') { document.getElementById("desc").innerHTML='bew&ouml;lkt';    }
        	if (translatedesc=='overcast') { document.getElementById("desc").innerHTML='bew&ouml;lkt';    }
        	if (translatedesc=='dreary') { document.getElementById("desc").innerHTML='tr&uuml;b';    }
        	if (translatedesc=='retired') { document.getElementById("desc").innerHTML='keine daten verf&uuml;gbar';    }
        	if (translatedesc=='fog') { document.getElementById("desc").innerHTML='nebel';    }
        	if (translatedesc=='showers') { document.getElementById("desc").innerHTML='schauer';    }
        	if (translatedesc=='partly sunny with showers') { document.getElementById("desc").innerHTML='teils sonnig mit schauern';    }
        	if (translatedesc=='thunderstorms') { document.getElementById("desc").innerHTML='gewitter';    }
        	if (translatedesc=='mostly cloudy with thunder showers') { document.getElementById("desc").innerHTML='meist bew&ouml;lkt mit gewitterschauer';    }
        	if (translatedesc=='partly sunny with thunder showers') { document.getElementById("desc").innerHTML='teils sonnig mit gewitterschauer';    }
        	if (translatedesc=='rain') { document.getElementById("desc").innerHTML='regen';    }
        	if (translatedesc=='flurries') { document.getElementById("desc").innerHTML='windig';    }
        	if (translatedesc=='mostly cloudy with flurries') { document.getElementById("desc").innerHTML='meist bew&ouml;lkt und windig';    }
        	if (translatedesc=='partly sunny with flurries') { document.getElementById("desc").innerHTML='teils sonnig und windig';    }
        	if (translatedesc=='snow') { document.getElementById("desc").innerHTML='schnee';    }
        	if (translatedesc=='mostly cloudy with snow') { document.getElementById("desc").innerHTML='meist bew&ouml;lkt und schnee';    }
        	if (translatedesc=='ice') { document.getElementById("desc").innerHTML='eis';    }
        	if (translatedesc=='sleet') { document.getElementById("desc").innerHTML='graupelschauer';    }
        	if (translatedesc=='freezing rain') { document.getElementById("desc").innerHTML='gefrierender regen';    }
        	if (translatedesc=='rain and snow mixed') { document.getElementById("desc").innerHTML='schneeregen';    }
        	if (translatedesc=='hot') { document.getElementById("desc").innerHTML='heiss';    }
        	if (translatedesc=='cold') { document.getElementById("desc").innerHTML='kalt';    }
        	if (translatedesc=='windy') { document.getElementById("desc").innerHTML='windig';    }
        	if (translatedesc=='clear') { document.getElementById("desc").innerHTML='klar';    }
        	if (translatedesc=='mostly clear') { document.getElementById("desc").innerHTML='meist klar';    }
        	if (translatedesc=='partly cloudy') { document.getElementById("desc").innerHTML='teils bew&ouml;lkt';    }
        	if (translatedesc=='hazy') { document.getElementById("desc").innerHTML='diesig';    }
        	if (translatedesc=='partly cloudy with showers') { document.getElementById("desc").innerHTML='teils bew&ouml;lkt mit regen';    }
        	if (translatedesc=='party cloudy with showers') { document.getElementById("desc").innerHTML='teils bew&ouml;lkt mit schauer';    }
        	if (translatedesc=='mostly cloudy with showers') { document.getElementById("desc").innerHTML='meist bew&ouml;lkt mit schauer';    }
        	if (translatedesc=='party cloudy with thunder showers') { document.getElementById("desc").innerHTML='teils bew&ouml;lkt mit gewitterschauer';    }
        	if (translatedesc=='mostly cloudy with showers') { document.getElementById("desc").innerHTML='meist bew&ouml;lkt mit gewitterschauer';    }
		if (translatedesc=='foggy') { document.getElementById("desc").innerHTML='neblig';    }
		if (translatedesc=='light snow') { document.getElementById("desc").innerHTML='leichter schneefall'; }		
		if (translatedesc=='rain/drizzle') { document.getElementById("desc").innerHTML='nieselregen'; }
		if (translatedesc=='mist') { document.getElementById("desc").innerHTML='spr&uuml;hnebel'; }
		if (translatedesc=='ground fog') { document.getElementById("desc").innerHTML='bodennebel'; }
				

		// *******   END   TRANSLATE DESCRIPTION   ***************************

		document.getElementById("temp").innerText=convertTemp(obj.temp)+"º";
		document.getElementById("weatherIcon").src="Icon Sets/"+iconSet+"/"+MiniIcons[obj.icon]+iconExt;
	}
	
	setTimeout('fetchWeatherData(dealWithWeather,postal)', 1000*60*updateInterval);
}